drop view if exists OOBJ_MDFE_ENVIO;
create or replace view OOBJ_MDFE_ENVIO as 
select
    1							as mdfe_id,     	-- Chave primria da tabela   
    43             				as cUF,         	-- Cdigo da UF do emitente do Documento Fiscal
    2              				as tpAmb,       	-- Identificao do Ambiente
    1              				as tpEmit,      	-- Tipo do Emitente
	null						as tpTransp			-- Tipo do transportador
    58             				as mod,         	-- Modelo do Manifesto Eletrnico
    502            				as serie,       	-- Srie do Documento Fiscal
    10903       				as nMDF,         	-- Nmero do Documento Fiscal.
    null        				as cMDF,         	-- Tipo do Documento Fiscal
    null           				as cDV,          	-- Dgito Verificador da Chave de Acesso do Documento fiscal
    1              				as modal,        	-- Modalidade de transporte
    '2017-08-04T10:11:58-03:00' as dhEmi,  			-- Data de emisso do Documento
    null           				as tpEmis,      	-- Forma de Emisso do Documento Fiscal
    'RS'           				as UFIni,        	-- Sigla da UF do Carregamento
    'SC'           				as UFFim,        	-- Sigla da UF do Descarregamento 
    null						as dhIniViagem		-- Data e Hora prevista de inicio da viagem
	
	'07385111000102'			as emitCNPJ,    	-- CNPJ do emitente	 
    '0963233556'				as emitIE,       	-- IE
    'E-Sales Solucoes Oobj' 	as emitXNome,   	-- Razo Social ou Nome do emitente
    'E-Sales Solucoes Oobj' 	as emitxFant,   	-- Nome fantasia
	 
    'AV. RANULPHO MARQUES LEAL'	as emitXLgr,     	-- Logradouro    
    '2903'         				as emitNro,      	-- Nmero  
    null           				as emitXCpl,     	-- Complemento  
    'Jd. Alvorada' 				as emitXBairro, 	-- Bairro   
    4314902        				as emitCMun,     	-- Cdigo do municpio
	'Porto Alegre' 				as emitxMun,     	-- Nome do municpio  
    'RS'           				as emitUF,       	-- Sigla da UF    
    '79610100'     				as emitCEP,     	-- Cdigo do CEP 
    6735219360     				as emitFone,     	-- Telefone 	
    null    					as email,			-- Endereo de email 
	
    1               			as qCTe,         	-- Quantidade total de CT-e relacionados no Manifesto   
--    1                			as qCT,          	-- Quantidade total de Conhecimentos Papel relacionados no Manifesto   
    null            			as qNFe,         	-- Quantidade total de NF-e relacionadas no Manifesto    
--    1                			as qNF,          	-- Quantidade total de Nota Fiscal mod 1/1A relacionadas no Manifesto  
	null						as qMDFe			-- Quantidade todal de MDFes relacionados (aquavirio)
    4718.70         			as vCarga,       	-- Valor total da mercadoria/carga transportada
    01              			as cUnid,        	-- Cdigo da unidade de medida do Peso  Bruto da Carga / Mercadoria  Transportada  
    108.0000        			as qCarga,       	-- Peso Bruto Total da Carga / Mercadoria  Transportado  
	
    'infAdFisco' 				as infAdFisco,  	-- Informaes Adicionais de Interesse do Fisco 
    'MDF-e autorizado e impresso pelo sistema Oobj-MDF-e v8.1.3'	as infCpl      		-- Informaes Complementares de interesse do Contribuinte   
		