drop view if exists OOBJ_MDFE_MODAL;
create or replace view OOBJ_MDFE_MODAL as 
select
  1              	as id_modal, 	-- Chave primria da tabela	
  1              	as id_mdfe,	    -- Chave estrangeira da tabela OOBJ_MDFE_ENVIO		
  '3.00'         	as versaoModal,	-- Verso do modal em questo	
  00082267       	as rodoRNTRC,	-- Registro Nacional de Transportadores Rodovirios de Carga	
--  0              	as rodoCIOT,	-- Cdigo Identificador da Operao de Transporte	
  '19315'           as rodoVeicPrincipalCInt,	-- Cdigo interno do veculo	
  'JJZ1001'         as rodoVeicPrincipalPlaca,	-- Placa do Veculo	
  null				as rodoVeicPrincipalRenavan,
  15000             as rodoVeicPrincipalTara,	-- Tara em KG	
  80000             as rodoVeicPrincipalCapKG,	-- Capacidade em KG	
  43              	as rodoVeicPrincipalCapM3,	-- Capacidade em M3
  '02'				as rodoTpRod,
  '00'				as rodoTpCar,
  'SP'				as rodoUF,
  null 				as rodoCodAgPorto,
  
  null 				as rodoPropCPF,
  '72595309000182' 	as rodoPropCNPJ,
  00082627        	as rodoPropRNTRC,           -- Registro Nacional de Transportadores Rodovirios de Carga,
  'PLANEX ENCOMENDAS URGENTES LTDA'	as rodoPropXNome,
  'ISENTO' 			as rodoPropIE,
  'SP' 				as rodoPropUF,
  0 				as rodoPropTP,

  null 				as aereoNac,  
  null 				as aereoMatr,
  null 				as aereoNVoo,
  null 				as aereoCAerEmb,
  null 				as aereoCAerDes,
  null 				as aereoDVoo,

  null 				as ferrovXPref,
  null 				as ferrovDhTrem,
  null 				as ferrovXOri,
  null 				as ferrovXDest,
  null 				as ferrovQVag,
  
  null 				as aquavCNPJAgeNav,  
  null 				as aquaIrin,    
  null 				as aquavTpEmb,      
  null 				as aquavCEmbar,    
  null 				as aquavXEmbar,    
  null 				as aquavNViag,    
  null 				as aquavCPrtEmb,    
  null 				as aquavCPrtDest,    
  null 				as prtTrans,    
  null 				as tpNav      
