drop view if exists OOBJ_MDFE_EVENTOS;
create or replace view OOBJ_MDFE_EVENTOS as 
select
     1            as id_evento,            -- Chave primria													
     1            as tpAmb,                -- Ambiente
	10            as cOrgao,               -- Cdigo do rgo responsvel pelo registro do evento
     66666666666666            as autorEvento,          -- CNPJ ou CPF do autor do Evento
     '11111111111111111111111111111111111111111111'            as chMDFe,                -- Chave de Acesso do documento associado
	'2003-12-01T00:00:00-0300'         as dhEvento,             -- Data e hora do evento. Formato UTC (AAAA-MM-DDThh:mm:ssTZD, onde TZD = +hh:mm ou -hh:mm)
     110112            as tpEvento,             -- Tipo de Evento
     01            as nSeqEvento,           -- Nmero sequencial do Evento
     '1.00'           as verEvento,            -- Verso do Evento
     'Encerramento'            as descEvento,           -- Descrio do Evento
	null            as dtEnc,                -- Data que o Manifesto foi encerrado
	 11            as cUF,                  -- UF de encerramento do Manifesto
	 1            as cMun,                 -- Cdigo do Municpio de Encerramento do manifesto
	 null            as xJust                -- Justificativa do Evento (do cancelamento, da recusa, etc)
UNION ALL 
SELECT 2, 
1, 
10, 
66666666666666, 
'11111111111111111111111111111111111111111111',
'2003-12-01T00:00:00-0300',
110111,           
1,   
'1.00',
'Cancelamento',
null,
null,
null,
'Esta  a justificativa do cancelamento'

